Status
curl --request GET \
--url https://api.bizzy.ai/v2/enrichments/{enrichmentId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.bizzy.ai/v2/enrichments/{enrichmentId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.bizzy.ai/v2/enrichments/{enrichmentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.bizzy.ai/v2/enrichments/{enrichmentId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.bizzy.ai/v2/enrichments/{enrichmentId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.bizzy.ai/v2/enrichments/{enrichmentId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.bizzy.ai/v2/enrichments/{enrichmentId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"enrichmentId": "8817263",
"status": "COMPLETED",
"data": {
"email": "info@bizzy.ai",
"mobileNumber": "+32 000 00 00 00"
}
}
Enrichments API
Status
GET
/
v2
/
enrichments
/
{enrichmentId}
Status
curl --request GET \
--url https://api.bizzy.ai/v2/enrichments/{enrichmentId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.bizzy.ai/v2/enrichments/{enrichmentId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.bizzy.ai/v2/enrichments/{enrichmentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.bizzy.ai/v2/enrichments/{enrichmentId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.bizzy.ai/v2/enrichments/{enrichmentId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.bizzy.ai/v2/enrichments/{enrichmentId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.bizzy.ai/v2/enrichments/{enrichmentId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"enrichmentId": "8817263",
"status": "COMPLETED",
"data": {
"email": "info@bizzy.ai",
"mobileNumber": "+32 000 00 00 00"
}
}
Poll this endpoint with the
enrichmentId returned by Enrich Contact or Bulk Enrich Contacts.
Request
Path
string
required
Obfuscated id returned when creating an enrichment.
Response
Whilestatus is PENDING or PROCESSING, the response includes a Retry-After header (in seconds) suggesting when to poll again.
string
Same value as the
enrichmentId path parameter.string
One of:
PENDING— queued, not yet picked up.PROCESSING— actively being worked on.COMPLETED— finished;datacontains the result.FAILED— the enrichment job failed.TIMED_OUT— stuck processing past the expected time; submit a new enrichment.EXPIRED— previously completed, but the underlying charge-dedup window has since lapsed; submit a new enrichment to refresh it.
object | null
{
"enrichmentId": "8817263",
"status": "COMPLETED",
"data": {
"email": "info@bizzy.ai",
"mobileNumber": "+32 000 00 00 00"
}
}
{
"enrichmentId": "8817263",
"status": "PROCESSING",
"data": null
}
Was this page helpful?